WayloAIWaylo Docs
APIReferenceTelephony connections

List connections

GET
/telephony-connections

Carrier connections in the tenant, without any secret; offset-paginated.

Access: tenant_member · API key telephony:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
active?boolean
provider?"twilio"
Value in"twilio"
orderBy?string
Value in"name""provider""status""active""numberCount""createdAt""updatedAt"
search?string

Free-text search over the searchBy fields.

Length1 <= length <= 255
searchBy?string

Comma-separated: name.

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/telephony-connections' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "string",    "name": "string",    "status": "activating",    "statusReason": "string",    "active": true,    "numberCount": 0,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "provider": "twilio",    "config": {      "accountSid": "string",      "apiKeySid": "string",      "trunkSid": "string"    }  }]